summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Bermond2018-07-04 15:23:52 +0000
committerDaniel Bermond2018-07-04 15:23:52 +0000
commit18dfdd5aeae3d925d3ffc9ca16f0f23013e4e814 (patch)
treed7544375cdff6fb17c53f3e467869c8c232be2aa
parent3d956abadb2967805da0180a31d487ff762d6668 (diff)
downloadaur-18dfdd5aeae3d925d3ffc9ca16f0f23013e4e814.tar.gz
Add aom support to match official repository package
References ---------- https://git.archlinux.org/svntogit/packages.git/commit/trunk?h=packages/ffmpeg&id=2f4a39f0d3c2fd9da58cad101e8aa7bdce1cd18c
-rw-r--r--.SRCINFO4
-rw-r--r--PKGBUILD20
2 files changed, 13 insertions, 11 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 13428aa743d..060f6360ed4 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = ffmpeg-decklink
pkgdesc = Complete solution to record, convert and stream audio and video (decklink enabled)
pkgver = 4.0.1
- pkgrel = 1
+ pkgrel = 2
epoch = 1
url = http://ffmpeg.org/
arch = i686
@@ -12,6 +12,7 @@ pkgbase = ffmpeg-decklink
makedepends = ladspa
makedepends = blackmagic-decklink-sdk
depends = alsa-lib
+ depends = aom
depends = bzip2
depends = fontconfig
depends = fribidi
@@ -69,6 +70,7 @@ pkgbase = ffmpeg-decklink
provides = libswresample.so
provides = libswscale.so
provides = ffmpeg
+ provides = qt-faststart
conflicts = ffmpeg
conflicts = ffmpeg-git
source = https://ffmpeg.org/releases/ffmpeg-4.0.1.tar.xz
diff --git a/PKGBUILD b/PKGBUILD
index e05542756b4..7727db85373 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -6,21 +6,20 @@
pkgname=ffmpeg-decklink
_srcname=ffmpeg
pkgver=4.0.1
-pkgrel=1
+pkgrel=2
epoch=1
pkgdesc='Complete solution to record, convert and stream audio and video (decklink enabled)'
arch=('i686' 'x86_64')
url='http://ffmpeg.org/'
license=('custom: nonfree and unredistributable')
-depends=('alsa-lib' 'bzip2' 'fontconfig' 'fribidi' 'glibc' 'gmp' 'gnutls' 'gsm'
- 'lame' 'libavc1394' 'libdrm' 'libiec61883' 'libmodplug'
- 'libomxil-bellagio' 'libpulse' 'libraw1394' 'libsoxr' 'libssh'
- 'libtheora' 'libvdpau' 'libwebp' 'libx11' 'libxcb' 'libxext' 'libxml2'
- 'libxv' 'opencore-amr' 'openjpeg2' 'opus' 'sdl2' 'speex' 'v4l-utils'
- 'xz' 'zlib'
+depends=('alsa-lib' 'aom' 'bzip2' 'fontconfig' 'fribidi' 'glibc' 'gmp' 'gnutls' 'gsm'
+ 'lame' 'libavc1394' 'libdrm' 'libiec61883' 'libmodplug' 'libomxil-bellagio'
+ 'libpulse' 'libraw1394' 'libsoxr' 'libssh' 'libtheora' 'libvdpau' 'libwebp'
+ 'libx11' 'libxcb' 'libxext' 'libxml2' 'libxv' 'opencore-amr' 'openjpeg2'
+ 'opus' 'sdl2' 'speex' 'v4l-utils' 'xz' 'zlib'
'libass.so' 'libbluray.so' 'libfreetype.so' 'libva-drm.so' 'libva.so'
- 'libva-x11.so' 'libvidstab.so' 'libvorbisenc.so' 'libvorbis.so'
- 'libvpx.so' 'libx264.so' 'libx265.so' 'libxvidcore.so')
+ 'libva-x11.so' 'libvidstab.so' 'libvorbisenc.so' 'libvorbis.so' 'libvpx.so'
+ 'libx264.so' 'libx265.so' 'libxvidcore.so')
makedepends=(
# official repositories:
'nasm' 'ffnvcodec-headers' 'ladspa'
@@ -30,7 +29,7 @@ makedepends=(
optdepends=('ladspa: LADSPA filters')
provides=('libavcodec.so' 'libavdevice.so' 'libavfilter.so' 'libavformat.so'
'libavresample.so' 'libavutil.so' 'libpostproc.so' 'libswresample.so'
- 'libswscale.so' 'ffmpeg')
+ 'libswscale.so' 'ffmpeg' 'qt-faststart')
conflicts=('ffmpeg' 'ffmpeg-git')
source=("https://ffmpeg.org/releases/ffmpeg-${pkgver}.tar.xz"
'LICENSE')
@@ -53,6 +52,7 @@ build() {
--enable-gnutls \
--enable-gpl \
--enable-ladspa \
+ --enable-libaom \
--enable-libass \
--enable-libbluray \
--enable-libdrm \